Page MenuHomePhabricator

Modify wikidata entity completion search for per-language tuning parameters
Closed, ResolvedPublic

Description

The autocomplete profiles generated in T213105 will be per-language. We currently have the ability to AB test per-language settings, but have no method to deploy them. Adjust the profile handling in wikidata entity completion search to allow setting based on primary language being searched to match.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 7 2019, 6:11 PM
EBernhardson added a comment.EditedJan 10 2019, 11:38 PM

In addition to changing to allow per-language, it might be nice to rethink how the profiles are presented as well. To run the english AB test we created 3 new profiles for 3 separate things: https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/475817/2/wmf-config/WikibaseSearchSettings.php

Those profiles were:

locationnamereason
prefixSearchProfileswikibase_config_prefix_query_20181126contains configuration for the per-label field weights and tie-breaker
rescoreProfileswikibase_config_entity_weight_20181126Set query/rescore weight. Choose rescore chain
rescoreFunctionChainswikibase_config_entity_weight_20181126weight and satu parameters for rescore

The actual AB test then had to send two profile parameters to select the appropriate prefix and rescore profiles.

The first thing i want to try to do here is to parameterize the rescoreFunctionChains. This should allow us to configure the function chain from the rescore profile, instead of defining a new function chain that's almost the same.

Addshore moved this task from incoming to in progress on the Wikidata board.Jan 14 2019, 8:43 AM

Change 484307 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@master] Vary search profiles on runtime parameters

https://gerrit.wikimedia.org/r/484307

Change 484316 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/Wikibase@master] Add per-language wbsearchentities profiles

https://gerrit.wikimedia.org/r/484316

Change 483875 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@master] Override function score chain from rescore profile

https://gerrit.wikimedia.org/r/483875

Change 484334 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[operations/mediawiki-config@master] Add wbsearchentities profiles for de, fr, es

https://gerrit.wikimedia.org/r/484334

Change 483875 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Override function score chain from rescore profile

https://gerrit.wikimedia.org/r/483875

Change 484307 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Vary search profiles on runtime parameters

https://gerrit.wikimedia.org/r/484307

Change 484316 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add per-language wbsearchentities profiles

https://gerrit.wikimedia.org/r/484316

Change 484334 merged by jenkins-bot:
[operations/mediawiki-config@master] Add wbsearchentities profiles for de, fr, es

https://gerrit.wikimedia.org/r/484334

debt closed this task as Resolved.Jan 26 2019, 7:38 PM